---
actions:
- type: sheet
  source: Main
- type: select
  statement: SELECT firstname, lastname FROM owners
  actions:
  - type: sheet
    source: Items
    destination: Items of {{ firstname }}
    vars: [max_row]
    actions:
    - type: copy
      location: [C1, D1]
    - type: select
      statement: >
        SELECT item, quantity FROM items
        WHERE owner = {{ lastname }}
        ORDER BY quantity
      actions:
      - type: copy
        location: [C2, D2]
        destination: C{{ row_number + 2 }}
      - type: assign
        name: max_row
        expr: row_number
      - type: copy
        location: [C3, C3]
        destination: C{{ max_row + 3 }}
